net.snowflake.client.jdbc

## Class SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder

Enclosing class:
  SnowflakeResultSetSerializable.ResultSetRetrieveConfig

    public static class SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SnowflakeResultSetSerializable.ResultSetRetrieveConfig` `build()`
`static SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder` `newInstance()`
`SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder` `setProxyProperties(Properties proxyProperties)`
`SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder` `setSfFullURL(String sfFullURL)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newInstance

    public static SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder newInstance()

#### build

    public SnowflakeResultSetSerializable.ResultSetRetrieveConfig build()
                                                                 throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

#### setProxyProperties

    public SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder setProxyProperties(Properties proxyProperties)

#### setSfFullURL

    public SnowflakeResultSetSerializable.ResultSetRetrieveConfig.Builder setSfFullURL(String sfFullURL)